namespace PkmnLib.Plugin.Gen7.Scripts.Side;

/// <summary>
/// Just here to indicate that a Pokemon on this side has used Echoed Voice.
/// </summary>
[Script(ScriptCategory.Side, "echoed_voice_data")]
public class EchoedVoiceData : Script, IScriptOnBeforeMoveChoice, IScriptStack
{
    private int _stacks = 1;

    public int Stacks => _stacks;

    public void OnBeforeMoveChoice(IMoveChoice moveChoice)
    {
        if (moveChoice.ChosenMove.MoveData.Name != "echoed_voice")
        {
            RemoveSelf();
        }
    }

    public void Stack()
    {
        _stacks++;
    }
}